Clo1111
Bioengineer
- Nov 17, 2010
- 1
Hi,
I am a Phd and work on a model of bone remodeling : I want to simulate the resorption of bone by a cell (the osteoclast). I have a problem with my python script on Abaqus : I want to do a part (semicircle extrusion), then I want to cut it with a defined shape, so I use cutRevolve tool.
I tought that everything was good : I defined the Datum Plane, the Datum Axis, the sketch,... but it doesn't work. The error message from Abaqus is : "Invalid Sketch Plane".
I didn't find information about this tool on internet. Could you help me? I am so lost!!!!
Thank you very much,
Clo
My script....
from abaqus import *
import testUtils
testUtils.setBackwardCompatibility()
from abaqusConstants import *
import assembly
import part
import datum
import sketch
# Create a model
myModel = mdb.Model(name='Model travee')
# Create a sketch for the base feature.
mySketch = myModel.ConstrainedSketch(name='BoneProfile',sheetSize=250.)
# Create the main sketch = a semicircle radius=0,1mm
mySketch.ArcByCenterEnds(center=(0,0),point1=(0.05,0),point2=(-0.05,0))
mySketch.Line(point1=(-0.05,0),point2=(0.05,0))
# Create the part and extrusion
myPart = myModel.Part(name='Part Bone', dimensionality=THREE_D,type=DEFORMABLE_BODY)
myPart.BaseSolidExtrude(sketch=mySketch, depth=0.1)
# Create a sketch for the cutRevolve = circle radius=0.01mm
sketchName='Osteoclast'
myModel.ConstrainedSketch(name=sketchName,sheetSize=200.0)
cuttingSketch=myModel.sketches[sketchName]
cuttingSketch.CircleByCenterPerimeter(center=(0,0.05),point1=(0,0.04))
# Cut the existing part
myPart.CutExtrude(sketchPlane=myPart.DatumPlaneByPrincipalPlane(XZPLANE,0),
sketchPlaneSide=SIDE2,sketchUpEdge=myPart.DatumAxisByPrincipalAxis(ZAXIS),
sketchOrientation=BOTTOM,sketch=cuttingSketch,angle=100)
I am a Phd and work on a model of bone remodeling : I want to simulate the resorption of bone by a cell (the osteoclast). I have a problem with my python script on Abaqus : I want to do a part (semicircle extrusion), then I want to cut it with a defined shape, so I use cutRevolve tool.
I tought that everything was good : I defined the Datum Plane, the Datum Axis, the sketch,... but it doesn't work. The error message from Abaqus is : "Invalid Sketch Plane".
I didn't find information about this tool on internet. Could you help me? I am so lost!!!!
Thank you very much,
Clo
My script....
from abaqus import *
import testUtils
testUtils.setBackwardCompatibility()
from abaqusConstants import *
import assembly
import part
import datum
import sketch
# Create a model
myModel = mdb.Model(name='Model travee')
# Create a sketch for the base feature.
mySketch = myModel.ConstrainedSketch(name='BoneProfile',sheetSize=250.)
# Create the main sketch = a semicircle radius=0,1mm
mySketch.ArcByCenterEnds(center=(0,0),point1=(0.05,0),point2=(-0.05,0))
mySketch.Line(point1=(-0.05,0),point2=(0.05,0))
# Create the part and extrusion
myPart = myModel.Part(name='Part Bone', dimensionality=THREE_D,type=DEFORMABLE_BODY)
myPart.BaseSolidExtrude(sketch=mySketch, depth=0.1)
# Create a sketch for the cutRevolve = circle radius=0.01mm
sketchName='Osteoclast'
myModel.ConstrainedSketch(name=sketchName,sheetSize=200.0)
cuttingSketch=myModel.sketches[sketchName]
cuttingSketch.CircleByCenterPerimeter(center=(0,0.05),point1=(0,0.04))
# Cut the existing part
myPart.CutExtrude(sketchPlane=myPart.DatumPlaneByPrincipalPlane(XZPLANE,0),
sketchPlaneSide=SIDE2,sketchUpEdge=myPart.DatumAxisByPrincipalAxis(ZAXIS),
sketchOrientation=BOTTOM,sketch=cuttingSketch,angle=100)